Get object ID

  • GET
  • /workspaces
  • /:workspace_domain
  • /identifiers

Get the ID of an object using its human-readable identifier

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
projectstring
The human-readable ID of the project

Example: "my-project"

pipelinestring
The human-readable ID of the pipeline

Example: "my-pipeline"

environmentstring
The human-readable ID of the environment

Example: "my-environment"

packagestring
The human-readable ID of the package

Example: "my-pkg"

package_versionstring
The version of the package

Example: "v1"

sandboxstring
The human-readable ID of the sandbox

Example: "my-sandbox"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
domainstring
The human-readable ID of the workspace
project_identifierstring
The human-readable ID of the project
pipeline_idinteger
The ID of the pipeline
environment_idstring
The ID of the environment
pkg_idstring
The ID of the package
pkg_version_idstring
The ID of the package version
sandbox_idstring
The ID of the sandbox

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace_domain/identifiers" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company", "domain": "my-company", "project_identifier": "my-project", "pipeline_id": 123, "environment_id": "ZRB20jX6", "pkg_id": "B81VVP1Z", "pkg_version_id": "79dMAdl0" }
STATUS
200 OK